Keyboard shortcuts

Press or to navigate between chapters

Press S or / to search in the book

Press ? to show this help

Press Esc to hide this help

Health & Version

Note

These endpoints are available in both application/json and application/msgpack formats.

GET /health

Returns 200 OK when the server is running and ready to accept traffic. Use this for load balancer health checks.

Responses

200 OK

Field Description
status required
string
Currently always "ok".

GET /version

Returns the version of Zizq running on the server. Clients should use this to check compatability.

Note

Major version changes should be considered backward-incompatible changes. Minor version changes are always backward compatible.

Responses

200 OK

Field Description
version required
string
Returns the version of the software running on the server. Version strings are semver structured MAJOR.MINOR.PATCH. Only major version changes may be backward incompatible.

Examples

Check availability

http GET http://127.0.0.1:7890/health
HTTP/1.1 200 OK
content-length: 15
content-type: application/json
date: Fri, 13 Mar 2026 08:15:41 GMT

{
    "status": "ok"
}

Check the server version

http GET http://127.0.0.1:7890/version
HTTP/1.1 200 OK
content-length: 19
content-type: application/json
date: Fri, 13 Mar 2026 08:18:34 GMT

{
    "version": "0.1.0"
}